Subject: Re: bug#30424: [patch] replace cl with cl-lib

From: Arash Esbati <[email-masked]>
Date: Sun, 18 Feb 2018 15:37:19 +0100

Mosè Giordano <[email-masked]> writes:

> Hi Alex,
>
> thanks for this new patch.  From what I've seen this doesn't introduce
> runtime dependence on cl-lib but just replaces cl macros with
> corresponding cl-lib macros, is this correct?

Hi Mosè,

I was wondering why we don't go for (require 'cl-lib)?  Since we're
supporting Emacs>=24 only, I think it doesn't harm to make a change
here.  Or am I missing something?

@Alex: Many thanks for your patch.  I replaced 2 pushnew's in babel.el.

Best, Arash